Package org.apache.tomcat.util.descriptor.web

## Class ApplicationParameter

- java.lang.Object
- - org.apache.tomcat.util.descriptor.web.ApplicationParameter

- All Implemented Interfaces:
    `java.io.Serializable`

      public class ApplicationParameter
      extends java.lang.Object
      implements java.io.Serializable

  Representation of a context initialization parameter that is configured in the server configuration file, rather than the application deployment descriptor. This is convenient for establishing default values (which may be configured to allow application overrides or not) without having to modify the application deployment descriptor itself.
  Author:
    Craig R. McClanahan
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `ApplicationParameter()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getDescription()` |
    `java.lang.String` | `getName()` |
    `boolean` | `getOverride()` |
    `java.lang.String` | `getValue()` |
    `void` | `setDescription​(java.lang.String description)` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setOverride​(boolean override)` |
    `void` | `setValue​(java.lang.String value)` |
    `java.lang.String` | `toString()` | Return a String representation of this object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationParameter

          public ApplicationParameter()

  - ### Method Detail

    - #### getDescription

          public java.lang.String getDescription()

    - #### setDescription

          public void setDescription​(java.lang.String description)

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName​(java.lang.String name)

    - #### getOverride

          public boolean getOverride()

    - #### setOverride

          public void setOverride​(boolean override)

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue​(java.lang.String value)

    - #### toString

          public java.lang.String toString()

      Return a String representation of this object.
      Overrides:
        `toString` in class `java.lang.Object`